%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Color management tools for GNOME
Name:		gnome-color-manager
Version:	3.24.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://projects.gnome.org/gnome-color-manager/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(clutter-1.0) >= 1.9.4
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(colord) >= 0.1.28
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0) >= 2.14.0
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.0
BuildRequires:	pkgconfig(lcms2) >= 2.2
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.10
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(mash-0.2)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(colord-gtk) >= 0.1.20
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	itstool
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	docbook-utils
BuildRequires:	desktop-file-utils
BuildRequires:	intltool >= 0.35.0
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	yelp-tools
BuildRequires:	gnome-common
BuildRequires:	desktop-file-utils
Requires:	adwaita-icon-theme
Requires:	colord

#Dropped and not used since g-c-m version 3.1.2
Obsoletes:	gnome-color-manager-devel
Obsoletes:	%{_lib}color-glib1

%description
gnome-color-manager is a session framework that makes it easy to manage,
install and generate color profiles in the GNOME desktop.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-scrollkeeper \
	--disable-schemas-compile \
	--disable-static \
	--enable-packagekit
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --all-name --with-help

for file in %{buildroot}%{_datadir}/applications/*.desktop; do
	desktop-file-edit "$file"
done


# Remove static libs and libtool archives.
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/gcm-*
%{_datadir}/%{name}
%{_datadir}/man/man1/*
%{_libexecdir}/gcm-helper-exiv
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/*.appdata.xml


%changelog
* Tue Jun 20 2017 neoclust <neoclust> 3.24.0-2.mga6
+ Revision: 1107993
- Rebuild against new exiv2

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094016
- new version 3.24.0

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065591
- new version 3.22.2

* Wed Oct 12 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060490
- new version 3.22.1

* Mon Sep 19 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054239
- new version 3.22.0

* Mon Sep 19 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1054092
- new version 3.21.91

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993500
- new version 3.20.0

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961457
- new version 3.19.90

* Sun Feb 14 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960327
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882996
- new release

* Tue Aug 25 2015 tv <tv> 3.17.90-2.mga6
+ Revision: 869200
- rebuild for new libexiv2

* Wed Aug 19 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865862
- new version 3.17.90

* Mon Jun 22 2015 ovitters <ovitters> 3.16.0-1.mga6
+ Revision: 839692
- force fixed desktop file
- new version 3.16.0

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796319
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 742890
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738316
- new version 3.14.1

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721225
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.90-2.mga5
+ Revision: 679706
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666282
- new version 3.13.90
- dropped merged patch 1

* Fri May 30 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627994
- add upstream patch for vte 2.91 api
- new version 3.13.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622126
- new version 3.12.2

  + wally <wally>
    - require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Fri Apr 11 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 613449
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607805
- new version 3.12.0

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593563
- new version 3.11.90

* Mon Feb 10 2014 dams <dams> 3.11.5-2.mga5
+ Revision: 588996
- rebuild for new exiv2

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 583897
- new version 3.11.5

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542072
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 496936
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484775
- new version 3.10.0

* Sat Sep 14 2013 wally <wally> 3.9.92-2.mga4
+ Revision: 478930
- rebuild with new colord

* Fri Sep 13 2013 dams <dams> 3.9.92-1.mga4
+ Revision: 478573
- new version 3.9.92

* Fri Sep 13 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 478548
- new version 3.8.3

* Thu Aug 01 2013 dams <dams> 3.8.2-4.mga4
+ Revision: 462446
- rebuild for new cogl

* Sun Jul 14 2013 sander85 <sander85> 3.8.2-3.mga4
+ Revision: 454289
- Rebuild for new cogl

* Sun Jun 16 2013 wally <wally> 3.8.2-2.mga4
+ Revision: 443578
- drop requires for obsolete shared-color-profiles

* Fri May 24 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 426802
- fix br version of colord
- new version 3.8.2

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352062
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 344726
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297691
- new version 3.6.0

* Fri Aug 24 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283655
- new version 3.5.90

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266317
- update file list
- update file list
- br colord-gtk
- br itstool
- new version 3.5.3

* Mon Jun 18 2012 fwang <fwang> 3.4.2-2.mga3
+ Revision: 261630
- rebuild for new libexiv

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235658
- new version 3.4.2

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226699
- new version 3.4.0

* Wed Mar 14 2012 ovitters <ovitters> 3.3.91-1.mga2
+ Revision: 223363
- new version 3.3.91

* Wed Mar 07 2012 fwang <fwang> 3.3.5-3.mga2
+ Revision: 220708
- rebuild for new cogl

* Wed Feb 22 2012 wally <wally> 3.3.5-2.mga2
+ Revision: 212414
- rebuild for new cogl

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205342
- update file list
- fix deps
- new version 3.3.5

* Tue Jan 17 2012 fwang <fwang> 3.3.3-3.mga2
+ Revision: 197342
- rebuild for new cogl

* Sun Dec 25 2011 fwang <fwang> 3.3.3-2.mga2
+ Revision: 187376
- rebuild for new libtiff

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184527
- new version 3.3.3

* Wed Nov 23 2011 wally <wally> 3.2.1-2.mga2
+ Revision: 171411
- rebuild for new cogl and clutter

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155722
- new version 3.2.1

* Sun Oct 09 2011 fwang <fwang> 3.2.0-3.mga2
+ Revision: 153411
- rebuild for new exiv2

* Mon Oct 03 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 151231
- cleanup reqs

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148887
- new version 3.2.0

* Thu Sep 22 2011 wally <wally> 3.1.92-2.mga2
+ Revision: 146817
- rebuild for new mash
- clean .spec a bit

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145730
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91-2.mga2
+ Revision: 145689
- rebuild for new cogl

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138799
- new version 3.1.91

* Wed Aug 31 2011 wally <wally> 3.1.90-1.mga2
+ Revision: 137242
- fix BRs
- fix file list
- obsolete old and dropped devel and lib package

  + fwang <fwang>
    - use verbose build
    - br intltool
    - new version 3.1.90
    - rebuild for new cogl

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Tue Jul 05 2011 wally <wally> 3.1.2-2.mga2
+ Revision: 119012
- add libmash-devel BR

* Tue Jul 05 2011 wally <wally> 3.1.2-1.mga2
+ Revision: 118950
- new version 3.1.2
- drop lib and devel packages
- clean .spec a bit

* Thu Jun 23 2011 mikala <mikala> 3.0.0-1.mga2
+ Revision: 112839
- Update tarball to 3.0.0
- Fix files list

* Fri Feb 25 2011 ennael <ennael> 2.32.0-2.mga1
+ Revision: 59873
- add BR
- imported package gnome-color-manager

